Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model.container
Class MusicAlbum

    java.lang.Object
      org.teleal.cling.support.model.DIDLObject
          org.teleal.cling.support.model.container.Container
              org.teleal.cling.support.model.container.Album
                  org.teleal.cling.support.model.container.MusicAlbum

    public class MusicAlbum

extends Album

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.support.model.DIDLObject
`DIDLObject.Class, DIDLObject.Property<V>`

Field Summary
`static DIDLObject.Class` | `CLASS`

Fields inherited from class org.teleal.cling.support.model.container.Container
`childCount, containers, createClasses, items, searchable, searchClasses`

Fields inherited from class org.teleal.cling.support.model.DIDLObject
`clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

Constructor Summary
`MusicAlbum()`
`MusicAlbum(Container other)`
`MusicAlbum(String id, Container parent, String title, String creator, Integer childCount)`
`MusicAlbum(String id, Container parent, String title, String creator, Integer childCount, List<MusicTrack> musicTracks)`
`MusicAlbum(String id, String parentID, String title, String creator, Integer childCount)`
`MusicAlbum(String id, String parentID, String title, String creator, Integer childCount, List<MusicTrack> musicTracks)`

Method Summary
`void` | `addMusicTracks(List<MusicTrack> musicTracks)`
`void` | `addMusicTracks(MusicTrack[] musicTracks)`
`URI[]` | `getAlbumArtURIs()`
`PersonWithRole[]` | `getArtists()`
`URI` | `getFirstAlbumArtURI()`
`PersonWithRole` | `getFirstArtist()`
`String` | `getFirstGenre()`
`Person` | `getFirstProducer()`
`String[]` | `getGenres()`
`MusicTrack[]` | `getMusicTracks()`
`Person[]` | `getProducers()`
`String` | `getToc()`
`MusicAlbum` | `setAlbumArtURIs(URI[] uris)`
`MusicAlbum` | `setArtists(PersonWithRole[] artists)`
`MusicAlbum` | `setGenres(String[] genres)`
`MusicAlbum` | `setProducers(Person[] persons)`
`MusicAlbum` | `setToc(String toc)`

Methods inherited from class org.teleal.cling.support.model.container.Album
`getContributors, getDate, getDescription, getFirstContributor, getFirstPublisher, getFirstRelation, getFirstRights, getLongDescription, getPublishers, getRelations, getRights, getStorageMedium, setContributors, setDate, setDescription, setLongDescription, setPublishers, setRelations, setRights, setStorageMedium`

Methods inherited from class org.teleal.cling.support.model.container.Container
`addContainer, addItem, getChildCount, getContainers, getCreateClasses, getFirstContainer, getItems, getSearchClasses, isSearchable, setChildCount, setContainers, setCreateClasses, setItems, setSearchable, setSearchClasses`

Methods inherited from class org.teleal.cling.support.model.DIDLObject
`addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS

    public static final DIDLObject.Class CLASS

Constructor Detail

### MusicAlbum

    public MusicAlbum()

### MusicAlbum

    public MusicAlbum(Container other)

### MusicAlbum

    public MusicAlbum(String id,
                      Container parent,
                      String title,
                      String creator,
                      Integer childCount)

### MusicAlbum

    public MusicAlbum(String id,
                      Container parent,
                      String title,
                      String creator,
                      Integer childCount,
                      List<MusicTrack> musicTracks)

### MusicAlbum

    public MusicAlbum(String id,
                      String parentID,
                      String title,
                      String creator,
                      Integer childCount)

### MusicAlbum

    public MusicAlbum(String id,
                      String parentID,
                      String title,
                      String creator,
                      Integer childCount,
                      List<MusicTrack> musicTracks)

Method Detail

### getFirstArtist

    public PersonWithRole getFirstArtist()

### getArtists

    public PersonWithRole[] getArtists()

### setArtists

    public MusicAlbum setArtists(PersonWithRole[] artists)

### getFirstGenre

    public String getFirstGenre()

### getGenres

    public String[] getGenres()

### setGenres

    public MusicAlbum setGenres(String[] genres)

### getFirstProducer

    public Person getFirstProducer()

### getProducers

    public Person[] getProducers()

### setProducers

    public MusicAlbum setProducers(Person[] persons)

### getFirstAlbumArtURI

    public URI getFirstAlbumArtURI()

### getAlbumArtURIs

    public URI[] getAlbumArtURIs()

### setAlbumArtURIs

    public MusicAlbum setAlbumArtURIs(URI[] uris)

### getToc

    public String getToc()

### setToc

    public MusicAlbum setToc(String toc)

### getMusicTracks

    public MusicTrack[] getMusicTracks()

### addMusicTracks

    public void addMusicTracks(List<MusicTrack> musicTracks)

### addMusicTracks

    public void addMusicTracks(MusicTrack[] musicTracks)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.